section.benefits {
    position: relative;
    color: var(--white);
}

section.benefits .row-gap {
    row-gap: 100px;
}

section.benefits .bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 10;
}

section.benefits::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--gradient-fourth);
    z-index: 20;
}

section.benefits .benefits-wrapper,
section.benefits .heading {
    position: relative;
    z-index: 30;
}

section.benefits .heading {
    background: var(--gradient-primary);
    color: var(--gradient-primary-fallback);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

section.benefits .benefits-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 60px;
}

section.benefits .benefits-wrapper .single-benefit {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 24px;
}

section.benefits .benefits-wrapper .single-benefit .benefit-icon {
    width: 90px;
    height: 90px;
    min-width: 90px;
    min-height: 90px;
    max-width: 90px;
    max-height: 90px;
}

section.benefits .benefits-wrapper .single-benefit .benefit-icon img,
section.benefits .benefits-wrapper .single-benefit .benefit-icon svg {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
    max-width: 90px;
    max-height: 90px;
}

section.benefits .benefits-wrapper .single-benefit .benefit-title {
    font-size: 28px;
    color: var(--white);
}

section.benefits .benefits-wrapper .single-benefit .benefit-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 16px;
}

section.benefits .button {
    z-index: 21 !important;
}

@media (max-width: 1199.98px) {
    section.benefits .row-gap {
        row-gap: 80px;
    }
}

@media (max-width: 991.98px) {
    section.benefits .row-gap {
        row-gap: 50px;
    }
    section.benefits .benefits-wrapper {
        row-gap: 30px;
    }

    section.benefits .benefits-wrapper .single-benefit .benefit-title {
        font-size: 24px;
    }
}

@media (max-width: 575.98px) {
    section.benefits .heading {
        text-align: center;
    }
    section.benefits .benefits-wrapper .single-benefit {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 16px;
    }
    section.benefits .benefits-wrapper .single-benefit .benefit-title {
        text-align: center;
        width: 100%;
        font-size: 20px;
    }
    section.benefits .benefits-wrapper .single-benefit .benefit-description {
        text-align: center;
        width: 100%;
    }

    section.benefits .button {
        margin: auto !important;
        display: block !important;
    }
}